Name: ifmail
Summary: Internet to FidoNet gateway and transport package
Summary(ru_RU.KOI8-R):  Internet <---> FidoNet  
Version: 2.14
Release: ipl5
License: GPL
Group: Communications
Source0: ftp://oskin.macomnet.ru/pub/linux/fido/ifmail-2.14.tar.bz2
#Source1: zone2.nodelist
Source2: ifmail.log
Source3: send-ifmail
Patch0: os-p4.patch
Patch1: os-p4-5.patch
Patch2: os-p5-6.patch
Patch3: os-p6-7.patch
Patch4: aks5.patch
Patch5: fidonet.patch
Patch6: inetaddr.patch
Patch7: ifmail-2.14-lock.patch
Patch8: ifmail-2.14-SoftCR.patch
Patch9: ifmail-2.14-gdbm.patch
PreReq: /var/lock/serial
Requires: ftn

# Automatically added by buildreq on Mon Dec 02 2002
BuildRequires: byacc flex libgdbm-devel

%description
The package consists of two major parts: ifgate (gateway programs,
analog of FidoNet tosser/packer), and ifcico (transport agent, analog of
FidoNet mailer). This is a Serg Oskin's version of ifmail and Max Mokry
patches with more features added such as Hydra protocol, improved gating
etc...

%description -l ru_RU.KOI8-R
     : ifgate ( , 
/ FidoNet),  ifcico (,  , 
    FidoNet).      
  (Serge Oskin)      (Max Mokry)
    Hydra ,    .. ...

%prep
%setup -q -n ifmail-2.14
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%add_optflags -DDO_NEED_TIME

make EXTRA_FLAGS="$RPM_OPT_FLAGS" INSTALL_ROOT=$RPM_BUILD_ROOT
cp ifcico/README ifcico/README.ifcico
cp ifgate/README ifgate/README.ifgate
mkdir -p tune/sendmail tune/inn
for A in apa.mc ifmail.m4 mailertable; do cp misc/sendmail/$A tune/sendmail; done
for A in newsfeeds ; do cp misc/inn/$A tune/inn; done

%install
mkdir -p $RPM_BUILD_ROOT/etc/ftn \
	 $RPM_BUILD_ROOT/etc/logrotate.d \
	 $RPM_BUILD_ROOT/usr/sbin \
	 $RPM_BUILD_ROOT/usr/share/man/man8 \
	 $RPM_BUILD_ROOT/usr/lib/ftn \
	 $RPM_BUILD_ROOT/var/lib/news
install -m644 misc/config $RPM_BUILD_ROOT/etc/ftn/ifmail.conf
install -m644 misc/Areas $RPM_BUILD_ROOT/etc/ftn/ifmail.areas
install -m644 misc/inouttabs/outkoi8alt $RPM_BUILD_ROOT/usr/lib/ftn/outkoi8alt
install -m644 misc/inouttabs/outaltkoi8 $RPM_BUILD_ROOT/usr/lib/ftn/outaltkoi8
install -m644 $RPM_SOURCE_DIR/ifmail.log $RPM_BUILD_ROOT/etc/logrotate.d/ifmail
echo -ne "\npassword 2:465/159 xxxx\n" >$RPM_BUILD_ROOT/etc/ftn/ifmail.passwd
make EXTRA_FLAGS="$RPM_OPT_FLAGS" INSTALL_ROOT="$RPM_BUILD_ROOT" OWNER="$(whoami)" GROUP="$(whoami)" install
cd ifgate
make EXTRA_FLAGS="$RPM_OPT_FLAGS" INSTALL_ROOT="$RPM_BUILD_ROOT" OWNER="$(whoami)" GROUP="$(whoami)" install
cd ../iflib
make EXTRA_FLAGS="$RPM_OPT_FLAGS" INSTALL_ROOT="$RPM_BUILD_ROOT" OWNER="$(whoami)" GROUP="$(whoami)" install
cd ..
ln -f ifgate/ifmail.8 ifgate/ifnews.8
for M in ifmail.8 ifnews.8 iftoss.8; do \
	cat ifgate/$M >$RPM_BUILD_ROOT/usr/share/man/man8/${M}; done
install -m550 %SOURCE3 $RPM_BUILD_ROOT/var/lib/news/send-ifmail
chmod 0755 $RPM_BUILD_ROOT/usr/lib/libifmail.so.2.14.os7aks5

%files
%attr(0600,ftn,ftn) %config /etc/ftn/ifmail.conf
%attr(0644,ftn,ftn) %config /etc/ftn/ifmail.areas
%attr(0600,ftn,ftn) %config /etc/ftn/ifmail.passwd
%attr(0644,root,root) %config /etc/logrotate.d/ifmail
%attr(0700,ftn,uucp) /usr/sbin/ifcico
%attr(0700,ftn,ftn) /usr/sbin/ifindex
%attr(0700,ftn,ftn) /usr/sbin/ifroute
%attr(0700,ftn,ftn) /usr/sbin/nlpatch
%attr(0700,ftn,ftn) /usr/sbin/nlookup
%attr(0700,ftn,ftn) /usr/sbin/ifstat
%attr(0700,ftn,ftn) /usr/sbin/ifstat-new
%attr(0700,ftn,ftn) /usr/sbin/ifpack
%attr(0700,ftn,ftn) /usr/sbin/ifunpack
%attr(0700,ftn,ftn) /usr/sbin/iftoss
%attr(0700,ftn,ftn) /usr/sbin/ifmail
%attr(0700,ftn,ftn) /usr/sbin/ifnews
%attr(0755,root,root) /usr/lib/libifmail.so.2.14.os7aks5
%dir /usr/lib/ftn
%attr(0644,ftn,ftn) /usr/lib/ftn/outkoi8alt
%attr(0644,ftn,ftn) /usr/lib/ftn/outaltkoi8
%attr(0644,root,root) /usr/share/man/man8/ifmail.8*
%attr(0644,root,root) /usr/share/man/man8/ifnews.8*
%attr(0644,root,root) /usr/share/man/man8/iftoss.8*
%attr(0550,news,news) /var/lib/news/send-ifmail
%doc ifcico/README.ifcico ifgate/README.ifgate README Readme.os Readme.rus
%doc misc/FAQ misc/DEBUG misc/TODO misc/ifmail.gif
%doc tune
%doc ifmail-ug.19990515.rus

%changelog
* Mon Dec 02 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.14-ipl5
- Rebuilt in new environment
- Added buildrequires

* Mon Apr 15 2002 Sir Raorn <raorn@altlinux.ru> 2.14-ipl4
- Rebuilt with ftn package
- Fixed SoftCR handling to make FTS-0001 happy ;-)

* Tue Oct 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.14-ipl3
- Changed LOCKDIR to /var/lock/serial
- Fixed mandir
- Fixed filelist

* Sun Mar 11 2001 Konstantin Volckov <goldhead@linux.ru.net> 2.1-ipl2
- Fixed logrotate config for fidonet
- Fixed build with -DDO_NEED_TIME with glibc 2.2.2

* Tue Feb 20 2001 Konstantin Volckov <goldhead@linux.ru.net> 2.1-ipl1mdk
- First build for MandrakeRE
- This packet received from BlackCat Linux 6.2
